(* Copyright (C) 1995, Digital Equipment Corporation.       *)
(* All rights reserved.                                     *)
(* See the file COPYRIGHT for a full description.           *)
(*                                                          *)
(* Last modified on Thu Feb  9 08:47:37 PST 1995 by kalsow  *)
(* Last modified on Wed Feb 17 16:44:58 PST 1993 by johnh   *)
(*      modified on Tue Jun  9 00:35:07 1992 by mhb         *)

(*********************************************************************
|*  NOTE: This file is generated automatically from the event 
|*        definition file Maxflow.evt.
|*********************************************************************)

INTERFACE MaxflowAlgClass;

<*NOWARN*> IMPORT RefList, AlgorithmClass, MFAlgs, MFViews;
<*NOWARN*> IMPORT GraphVBT, MFFmt, R2, Algorithm, MFGraph;

<* PRAGMA LL *>

TYPE
  EventDataRec = RECORD
    stopAtSetup: BOOLEAN := TRUE;
    waitAtSetup: CARDINAL := 1;
    ctOfSetup: CARDINAL := 0;
    stopAtHighlightPath: BOOLEAN := TRUE;
    waitAtHighlightPath: CARDINAL := 1;
    ctOfHighlightPath: CARDINAL := 0;
    stopAtIncFlow: BOOLEAN := TRUE;
    waitAtIncFlow: CARDINAL := 1;
    ctOfIncFlow: CARDINAL := 0;
    stopAtDecFlow: BOOLEAN := TRUE;
    waitAtDecFlow: CARDINAL := 1;
    ctOfDecFlow: CARDINAL := 0;
    stopAtShowEdge: BOOLEAN := TRUE;
    waitAtShowEdge: CARDINAL := 1;
    ctOfShowEdge: CARDINAL := 0;
    stopAtRemoveHighlight: BOOLEAN := TRUE;
    waitAtRemoveHighlight: CARDINAL := 1;
    ctOfRemoveHighlight: CARDINAL := 0;
    stopAtFinalResult: BOOLEAN := TRUE;
    waitAtFinalResult: CARDINAL := 1;
    ctOfFinalResult: CARDINAL := 0;
  END;

  T <: Public;
  Public = Algorithm.T OBJECT
      eventDataRec: EventDataRec;

      METHODS
        feAddVertex ( pos: R2.T);    <* LL = VBT.mu *>
        feAddEdge ( v0: MFGraph.Vertex; v1: MFGraph.Vertex);    <* LL = VBT.mu *>
      END;
      
REVEAL
  Algorithm.T <: AlgorithmClass.T;
  
END MaxflowAlgClass.
