(* Copyright (C) 1995, Digital Equipment Corporation.       *)
(* All rights reserved.                                     *)
(* See the file COPYRIGHT for a full description.           *)
(*                                                          *)
(* Last modified on Thu Feb  9 08:50:12 PST 1995 by kalsow  *)
(*      modified on Sun Jun  5 21:58:07 PDT 1994 by mhb     *)
(*      modified on Wed Feb 17 16:46:35 PST 1993 by johnh   *)

(*********************************************************************
|*  NOTE: This file is generated automatically from the event 
|*        definition file Maxflow.evt.
|*********************************************************************)

<* PRAGMA LL *>

INTERFACE MaxflowIE;

<*NOWARN*> IMPORT RefList, MFAlgs, MFViews, Thread, View, GraphVBT;
<*NOWARN*> IMPORT MFFmt, R2, Algorithm, MFGraph;


(* call the following to generate an event: *)

PROCEDURE Setup (
      initiator: Algorithm.T; 
       g: MFGraph.T; source: MFGraph.Vertex; sink: MFGraph.Vertex 
    ) RAISES {Thread.Alerted};
    <* LL = {} *>

PROCEDURE HighlightPath (
      initiator: Algorithm.T; 
       path: RefList.T; maxCapacity: REAL 
    ) RAISES {Thread.Alerted};
    <* LL = {} *>

PROCEDURE IncFlow (
      initiator: Algorithm.T; 
       edge: MFGraph.Edge; flow: REAL; number: CARDINAL; maxCapacity: REAL; capa: REAL 
    ) RAISES {Thread.Alerted};
    <* LL = {} *>

PROCEDURE DecFlow (
      initiator: Algorithm.T; 
       edge: MFGraph.Edge; oldflow: REAL; newflow: REAL; number: CARDINAL; maxCapacity: REAL; capa: REAL 
    ) RAISES {Thread.Alerted};
    <* LL = {} *>

PROCEDURE ShowEdge (
      initiator: Algorithm.T; 
       number, typeOfEdge: CARDINAL 
    ) RAISES {Thread.Alerted};
    <* LL = {} *>

PROCEDURE RemoveHighlight (
      initiator: Algorithm.T; 
       sinkvertex: MFGraph.Vertex 
    ) RAISES {Thread.Alerted};
    <* LL = {} *>

PROCEDURE FinalResult (
      initiator: Algorithm.T; 
       b: BOOLEAN 
    ) RAISES {Thread.Alerted};
    <* LL = {} *>

PROCEDURE AddVertex (
      initiator: View.T; 
       pos: R2.T 
    ) RAISES {Thread.Alerted};
    <* LL = VBT.mu *>

PROCEDURE AddEdge (
      initiator: View.T; 
       v0: MFGraph.Vertex; v1: MFGraph.Vertex 
    ) RAISES {Thread.Alerted};
    <* LL = VBT.mu *>

PROCEDURE AddVBTVertex (
      initiator: Algorithm.T; 
       v: MFAlgs.MFVertex; pos: R2.T; label: TEXT 
    ) RAISES {Thread.Alerted};
    <* LL = VBT.mu *>

PROCEDURE AddVBTEdge (
      initiator: Algorithm.T; 
       e: MFAlgs.MFEdge 
    ) RAISES {Thread.Alerted};
    <* LL = VBT.mu *>


END MaxflowIE.
